import { EntityV2, PutItemInput, FormattedItem } from 'dynamodb-toolbox';
export declare const lambdaHttpInterceptorConfigEntity: EntityV2<"LambdaHttpInterceptorConfigEntity", import("dynamodb-toolbox").TableV2<{
    name: "PK";
    type: "string";
}, {
    name: "SK";
    type: "string";
}, "_et">, import("dynamodb-toolbox").Schema<{
    lambdaName: {
        path: string;
        type: "string";
        enum: undefined;
        default: undefined;
        required: "always";
        hidden: false;
        key: true;
        savedAs: "PK";
    };
    entityName: {
        path: string;
        type: "string";
        enum: ["lambdaHttpInterceptorConfig"];
        default: "lambdaHttpInterceptorConfig";
        required: "always";
        hidden: false;
        key: true;
        savedAs: "SK";
    };
    mockConfigs: {
        path: string;
        type: "list";
        elements: {
            path: string;
            type: "map";
            attributes: {
                url: {
                    path: string;
                    type: "string";
                    enum: undefined;
                    default: undefined;
                    required: "never";
                    hidden: false;
                    key: false;
                    savedAs: undefined;
                };
                method: {
                    path: string;
                    type: "string";
                    enum: undefined;
                    default: undefined;
                    required: "never";
                    hidden: false;
                    key: false;
                    savedAs: undefined;
                };
                body: {
                    path: string;
                    type: "string";
                    enum: undefined;
                    default: undefined;
                    required: "never";
                    hidden: false;
                    key: false;
                    savedAs: undefined;
                };
                headers: {
                    path: string;
                    type: "record";
                    keys: {
                        path: string;
                        type: "string";
                        enum: undefined;
                        default: undefined;
                        required: "atLeastOnce";
                        hidden: false;
                        key: false;
                        savedAs: undefined;
                    };
                    elements: {
                        path: string;
                        type: "string";
                        enum: undefined;
                        default: undefined;
                        required: "atLeastOnce";
                        hidden: false;
                        key: false;
                        savedAs: undefined;
                    };
                    default: undefined;
                    required: "never";
                    hidden: false;
                    key: false;
                    savedAs: undefined;
                };
                queryParams: {
                    path: string;
                    type: "record";
                    keys: {
                        path: string;
                        type: "string";
                        enum: undefined;
                        default: undefined;
                        required: "atLeastOnce";
                        hidden: false;
                        key: false;
                        savedAs: undefined;
                    };
                    elements: {
                        path: string;
                        type: "string";
                        enum: undefined;
                        default: undefined;
                        required: "atLeastOnce";
                        hidden: false;
                        key: false;
                        savedAs: undefined;
                    };
                    default: undefined;
                    required: "never";
                    hidden: false;
                    key: false;
                    savedAs: undefined;
                };
                response: {
                    path: string;
                    type: "anyOf";
                    elements: ({
                        path: string;
                        type: "map";
                        attributes: {
                            passThrough: {
                                path: string;
                                type: "boolean";
                                enum: [true];
                                default: undefined;
                                required: "atLeastOnce";
                                hidden: false;
                                key: false;
                                savedAs: undefined;
                            };
                        };
                        default: undefined;
                        keyAttributesNames: Set<string>;
                        requiredAttributesNames: Record<import("dynamodb-toolbox").RequiredOption, Set<string>>;
                        required: "atLeastOnce";
                        hidden: false;
                        key: false;
                        savedAs: undefined;
                    } | {
                        path: string;
                        type: "map";
                        attributes: {
                            passThrough: {
                                path: string;
                                type: "boolean";
                                enum: [false];
                                default: undefined;
                                required: "never";
                                hidden: false;
                                key: false;
                                savedAs: undefined;
                            };
                            status: {
                                path: string;
                                type: "number";
                                enum: undefined;
                                default: undefined;
                                required: "atLeastOnce";
                                hidden: false;
                                key: false;
                                savedAs: undefined;
                            };
                            headers: {
                                path: string;
                                type: "record";
                                keys: {
                                    path: string;
                                    type: "string";
                                    enum: undefined;
                                    default: undefined;
                                    required: "atLeastOnce";
                                    hidden: false;
                                    key: false;
                                    savedAs: undefined;
                                };
                                elements: {
                                    path: string;
                                    type: "string";
                                    enum: undefined;
                                    default: undefined;
                                    required: "atLeastOnce";
                                    hidden: false;
                                    key: false;
                                    savedAs: undefined;
                                };
                                default: undefined;
                                required: "never";
                                hidden: false;
                                key: false;
                                savedAs: undefined;
                            };
                            body: {
                                path: string;
                                type: "string";
                                enum: undefined;
                                default: undefined;
                                required: "never";
                                hidden: false;
                                key: false;
                                savedAs: undefined;
                            };
                        };
                        default: undefined;
                        keyAttributesNames: Set<string>;
                        requiredAttributesNames: Record<import("dynamodb-toolbox").RequiredOption, Set<string>>;
                        required: "atLeastOnce";
                        hidden: false;
                        key: false;
                        savedAs: undefined;
                    })[];
                    default: undefined;
                    required: "atLeastOnce";
                    hidden: false;
                    key: false;
                    savedAs: undefined;
                };
            };
            default: undefined;
            keyAttributesNames: Set<string>;
            requiredAttributesNames: Record<import("dynamodb-toolbox").RequiredOption, Set<string>>;
            required: "atLeastOnce";
            hidden: false;
            key: false;
            savedAs: undefined;
        };
        default: undefined;
        required: "atLeastOnce";
        hidden: false;
        key: false;
        savedAs: undefined;
    };
    TTL: {
        path: string;
        type: "number";
        enum: undefined;
        default: () => number;
        required: "atLeastOnce";
        hidden: false;
        key: false;
        savedAs: undefined;
    };
}>, "entity", import("dynamodb-toolbox/dist/entity/utils").TimestampsDefaultOptions, undefined, undefined>;
export type LambdaHttpInterceptorConfigInput = PutItemInput<typeof lambdaHttpInterceptorConfigEntity>;
export type LambdaHttpInterceptorConfig = FormattedItem<typeof lambdaHttpInterceptorConfigEntity>;
