import { EntityV2, PutItemInput, FormattedItem } from 'dynamodb-toolbox';
export declare const interceptedCallEntityStartName = "interceptedCall";
export declare const interceptedCallEntity: EntityV2<"interceptedCallEntity", import("dynamodb-toolbox").TableV2<{
    name: "PK";
    type: "string";
}, {
    name: "SK";
    type: "string";
}, "_et">, import("dynamodb-toolbox").Schema<{
    lambdaName: {
        path: string;
        type: "string";
        enum: undefined;
        default: undefined;
        required: "always";
        hidden: false;
        key: true;
        savedAs: "PK";
    };
    entityName: {
        path: string;
        type: "string";
        enum: undefined;
        default: () => string;
        required: "always";
        hidden: false;
        key: true;
        savedAs: "SK";
    };
    callParams: {
        path: string;
        type: "map";
        attributes: {
            url: {
                path: string;
                type: "string";
                enum: undefined;
                default: undefined;
                required: "atLeastOnce";
                hidden: false;
                key: false;
                savedAs: undefined;
            };
            method: {
                path: string;
                type: "string";
                enum: undefined;
                default: undefined;
                required: "atLeastOnce";
                hidden: false;
                key: false;
                savedAs: undefined;
            };
            body: {
                path: string;
                type: "string";
                enum: undefined;
                default: undefined;
                required: "never";
                hidden: false;
                key: false;
                savedAs: undefined;
            };
            headers: {
                path: string;
                type: "record";
                keys: {
                    path: string;
                    type: "string";
                    enum: undefined;
                    default: undefined;
                    required: "atLeastOnce";
                    hidden: false;
                    key: false;
                    savedAs: undefined;
                };
                elements: {
                    path: string;
                    type: "string";
                    enum: undefined;
                    default: undefined;
                    required: "atLeastOnce";
                    hidden: false;
                    key: false;
                    savedAs: undefined;
                };
                default: undefined;
                required: "never";
                hidden: false;
                key: false;
                savedAs: undefined;
            };
            queryParams: {
                path: string;
                type: "record";
                keys: {
                    path: string;
                    type: "string";
                    enum: undefined;
                    default: undefined;
                    required: "atLeastOnce";
                    hidden: false;
                    key: false;
                    savedAs: undefined;
                };
                elements: {
                    path: string;
                    type: "string";
                    enum: undefined;
                    default: undefined;
                    required: "atLeastOnce";
                    hidden: false;
                    key: false;
                    savedAs: undefined;
                };
                default: undefined;
                required: "never";
                hidden: false;
                key: false;
                savedAs: undefined;
            };
        };
        default: undefined;
        keyAttributesNames: Set<string>;
        requiredAttributesNames: Record<import("dynamodb-toolbox").RequiredOption, Set<string>>;
        required: "atLeastOnce";
        hidden: false;
        key: false;
        savedAs: undefined;
    };
    TTL: {
        path: string;
        type: "number";
        enum: undefined;
        default: () => number;
        required: "atLeastOnce";
        hidden: false;
        key: false;
        savedAs: undefined;
    };
}>, "entity", import("dynamodb-toolbox/dist/entity/utils").TimestampsDefaultOptions, undefined, undefined>;
export type InterceptedCallInput = PutItemInput<typeof interceptedCallEntity>;
export type InterceptedCall = FormattedItem<typeof interceptedCallEntity>;
